
Redmine - Feature #6347

All members not being displayed in Projects -> Settings

2010-09-10 00:30 - Dave Martin

Status: Closed Start date: 2010-09-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

There is a hard limit of 100 in the Principal.active.find call in 'app/views/projects/settings/_members.rhtml':

<% principals = Principal.active.find(:all, :limit => 100, :order => 'type, login, lastname ASC') 

- @project.principals %>

 which is a problem for us as we currently have 135 members.  Please consider raising or removing this limit.

Related issues:

Is duplicate of Redmine - Defect #9549: Only 100 users are displayed when add... Closed 2011-11-11

History

#1 - 2010-09-10 06:21 - Jean-Baptiste Barth

- Resolution set to Wont fix

Thanks for reporting. I don't think we will increase this limit because there are good reasons behind it.

But did you notice you have an autocomplete text field above it ? When you start typing anything in it, names are auto-completed accordingly... Do

you see a better / more intuitive method to do that ?

#2 - 2013-01-15 11:34 - Daniel Felix

- Resolution deleted (Wont fix)

Well I know that there is no pagination on this page and the limit won't be raised. But...

I would definitly agree that ther should be some kind of pagination. This way, the limit could be removed and the display would be still fast.

What do you think Jean-Baptiste?

#3 - 2013-01-15 11:34 - Daniel Felix

- Tracker changed from Defect to Feature

It should be a feature request, if there should be some pagination.

#4 - 2013-01-15 22:09 - Jean-Philippe Lang

- Target version set to Candidate for next major release

#5 - 2013-08-09 16:02 - Bruce Svare

This is a duplicate of #9549 which was implemented in 2.3.0

#6 - 2013-08-09 17:04 - Daniel Felix

- Is duplicate of Defect #9549: Only 100 users are displayed when adding new project members added

#7 - 2013-08-09 17:04 - Daniel Felix

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate
https://www.redmine.org/issues/9549


Indeed. I close this issue, as this issue is already fixed.

I set the relation as a duplicate, even if this issue is the one which was first - the other issue find it's way to the trunk.
